<?php


namespace App\Http\Controllers;


use Illuminate\Http\Request;
use App\Http\Controllers\Controller as Controller;


class BaseController extends Controller
{
    /**
     * success response method.
     *
     * @return \Illuminate\Http\Response
     */
    public function sendResponse($result, $message)
    {
    	$response = [
            'success' => true,
            'data'    => $result,
            'message' => $message,
            'status'  => 200
        ];


        return response()->json($response, 200);
    }


    /**
     * return error response.
     *
     * @return \Illuminate\Http\Response
     */
    public function sendError($message, $code = 404)
    {
    	$response = [
            'success' => false,
            'message' => $message,
            'status'  => $code
        ];


        // if(!empty($errorMessages)){
        //     $response['data'] = $errorMessages;
        // }


        return response()->json($response, $code);
    }

    public function sendValidationErrors($errors, $code = 403)
    {
    	$response = [
            'success' => false,
            'errors' => $errors,
            'status'  => $code
        ];


        return response()->json($response, $code);
    }
}