<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use App\Models\UserPermissions;

class CheckRole
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        
        $request_path_data = explode('/', $request->path());
        $request_method = $request_path_data[1];
        $access_flag = 0;

        $userRole = $request->user()->role()->first();
        if($userRole->role != 'super_admin' && $userRole->role != 'supplier'){
            //$request_method = ($request_method=='updateCustomerStatus')?'changeCustomerStatus':$request_method;
            $route_manager_routes = ['changePassword', 'customerListForManager', 'viewCustomerForManager', 'customerPaymentDetailsForManager', 'routeManagerRoutesList', 'salesReportForManagers', 'supplyDetailsForManager', 'submitManagerPayment'];
            if($userRole->role == 'route_manager' && in_array($request_method, $route_manager_routes)){
                $access_flag == true;
            }else{
                $access_flag = UserPermissions::where('user_id',$userRole->user_id)->where('permission',$request_method)->exists();
            }
            
        }

        if ($userRole) {
            
            if($userRole->role == 'super_admin' || $userRole->role == 'supplier' || $access_flag){
                // Set scope as admin/supplier based on user role
                $request->request->add([
                    'scope' => $userRole->role
                ]);
            }else{
                $response = [
                    'success' => false,
                    'message' => 'Permission Denied',
                    'status'  => 403
                ];
                return response()->json($response);
            }
            
        }

        return $next($request);
    }
}
