<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CustomerOrders extends Model
{
    use HasFactory;

    protected $with = ['product_details'];

    public $timestamps = false;

    protected $table = 'customer_products';

    protected $fillable = [
        'customer_id', 'product_id', 'quantity', 'delivery_start_date','delivery_mode'
    ]; 

    public function customer() {
        return $this->belongsTo('App\Models\Customers', 'customer_id');
    }

    public function product_details() {
        return $this->belongsTo('App\Models\Products', 'product_id');
    }

    public static function rules ($id=0, $merge=[]) {
        return array_merge(
            [
                'customer_id'     => 'required',
                'product_id' => 'required|numeric', 
                'quantity' => 'required|numeric', 
                'order_date' => 'required', 

            ],
            $merge);
    }

    public static function messages ($id=0, $merge=[]) {
        return ['delivery_start_date.required' => 'Order Date Required'];
    }
}
