<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CustomerPayments extends Model
{
    use HasFactory;

    public $timestamps = false;

	protected $fillable = [
		'customer_id', 'amount', 'payment_type', 'transaction_id', 'remarks', 'collected_user_id', 'payment_flag','advance_amount','deleted_by'
	]; 

	public function customer() {
		return $this->belongsTo('App\Models\Customers', 'customer_id');
	}

	// public static function rules ($id=0, $merge=[]) {
	// 	return array_merge(
	// 		[
	// 			'customer_id'  => 'required|exists:customers,id',
	// 			'amount' => 'required|numeric', 
	// 			'payment_type'     => 'required',
				
	// 		], 
	// 		$merge);
	// }

	public static function rules ($id=0, $merge=[]) {
		return array_merge(
			[
				'*.customer_id'  => 'required|exists:customers,id',
				'*.amount' => 'required|numeric', 
				'*.payment_type'     => 'required',
				
			], 
			$merge);
	}

	public static function single_rules ($id=0, $merge=[]) {
		return array_merge(
			[
				'customer_id'  => 'required|exists:customers,id',
				'amount' => 'required|numeric', 
				'payment_type'     => 'required',
				
			], 
			$merge);
	}

}
