<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CustomerProducts extends Model
{
    use HasFactory;

    protected $with = ['product_details'];
    
    public $timestamps = false;

    protected $fillable = [
		'customer_id', 'product_id', 'quantity', 'delivery_mode', 'delivery_start_date', 'sun', 'mon', 'tue', 'wed', 'thu', 'fri', 'sat', 'sun'
	]; 

    public function product_details() {
		return $this->belongsTo('App\Models\Products', 'product_id');
	}

	public function customer() {
		return $this->belongsTo('App\Models\Customers', 'customer_id');
	}

	public function product_detailsOld() {
		return $this->belongsTo('App\Models\Products', 'product_id')->select(array('product_name', 'price', 'id'));
	}
}
