<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DeliveryDetails extends Model
{
    use HasFactory;

    public $timestamps = false;

	protected $fillable = [
		'customer_id', 'product_id', 'quantity', 'amount', 'payment_status', 'actual_quantity','payment_id'
	]; 

	public function customer() {
		return $this->belongsTo('App\Models\Customers');
	}

	public function product() {
		return $this->belongsTo('App\Models\Products', 'product_id');
	}

	public static function rules ($id=0, $merge=[]) {
		return array_merge(
			[
				'*.customer_id'  => 'required|exists:customers,id',
				'*.details.*.product_id' => 'required|numeric|exists:products,id', 
				'*.details.*.quantity'     => 'required|numeric',
				
			], 
			$merge);
	}

}
