<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PettyCashDetails extends Model
{
    use HasFactory;

    public $timestamps = false;

	protected $fillable = [
		'route_user_id', 'amount', 'status', 'collected_user_id', 'transfer_type', 'created_by','payment_type','from_route_manager','is_delete', 'deleted_by'
	]; 

	public function user() {
		return $this->belongsTo('App\Models\User', 'route_user_id');
	}

	public static function rules ($id=0, $merge=[]) {
		return array_merge(
			[
				//'route_user_id'     => 'required',
				'amount' => 'required|numeric', 
				'status' => 'required|boolean', 
				'payment_type' => 'required',
				'is_admin_collect'     => 'required',
				'collected_user_id' => 'required'

			], 
			$merge);
	}

	public static function manager_rules ($id=0, $merge=[]) {
		return array_merge(
			[
				'route_user_id'     => 'required',
				'amount' => 'required|numeric', 
				'status' => 'required|boolean', 
				'payment_type' => 'required',
				//'is_admin_collect'     => 'required',
				'collected_user_id' => 'required'

			], 
			$merge);
	}

	public static function route_admin_rules ($id=0, $merge=[]) {
		return array_merge(
			[
				'route_admin_user_id'     => 'required',
				'amount' => 'required|numeric', 
				'status' => 'required|boolean', 
				'payment_type' => 'required',
				//'is_admin_collect'     => 'required',
				'collected_user_id' => 'required'

			], 
			$merge);
	}
}
