<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Products extends Model
{
	use HasFactory;

	public $timestamps = false;

	protected $fillable = [
		'product_name', 'price', 'quantity', 'status'
	]; 

	public function customer() {
		return $this->belongsTo('App\Models\Customers');
	}


	public function cproducts() {
		return $this->hasMany('App\Models\CustomerProducts', 'product_id');
	}

	

	public static function rules ($id=0, $merge=[]) {
		return array_merge(
			[
				'product_name'  => 'required|min:4|max:200|unique:products,product_name' . ($id ? ",$id" : ''),
				'quantity'     => 'required',
				'price' => 'required|numeric|max:255', 
				'status' => 'required|boolean', 

			], 
			$merge);
	}
}
