<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class Routes extends Model
{
    use HasFactory;

    public $timestamps = false;

    protected $fillable = [
        'route_name', 'route_user_id'
    ];   

    public function user() {
        return $this->belongsTo('App\Models\User');
    }

    public function customers() {
        return $this->hasMany('App\Models\Customers');
    }

    public function route_customers() {
        return $this->hasMany('App\Models\Customers', 'route_id')
                ->leftJoin('delivery_details', 'delivery_details.customer_id', '=', 'customers.id')
                ->select(DB::raw("SUM(delivery_details.amount) as sales_amount"))
                ->where('delivery_details.payment_status', '=', 0);
    }

    public static function rules ($id=0, $route_user_id, $merge=[]) {
        return array_merge(
            [
                'name'  => 'required|unique:routes,route_name' . ($id ? ",$id" : ''),
                'email'  => 'required|unique:users,email' . ($route_user_id ? ",$route_user_id" : ''),

            ], 
            $merge);
    }
}
