<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRoutesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('routes', function (Blueprint $table) {
            $table->id();
            $table->string('route_name', 255)->nullable();
            $table->unsignedBigInteger('route_user_id')->nullable();
            $table->decimal('petty_cash', 50)->nullable()->default(0.00);
            $table->timestamp('created_at')->useCurrent();
            $table->tinyInteger('status')->default(1)->comment('1-active, 0-inactive');
            $table->tinyInteger('is_delete')->default(0)->comment('0-no, 1-yes');
            $table->foreign('route_user_id')->references('id')->on('users')->onDelete('cascade');  
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('routes');
    }
}
