<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCustomersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('customers', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('route_id')->unsigned();
            $table->foreign('route_id')->references('id')->on('routes')->onDelete('cascade');  
            $table->string('customer_name', 255)->nullable();
            $table->string('address', 255)->nullable();
            $table->string('phone_number', 15)->nullable();
            $table->enum('customer_type', ['daily', 'alternative']);
            $table->tinyInteger('status')->default(1)->comment('1-active, 0-inactive');
            $table->integer('route_position');
            $table->decimal('advance_amount', 50)->nullable()->default(0.00);
            $table->tinyInteger('sun')->nullable()->default(0);
            $table->tinyInteger('mon')->nullable()->default(0);
            $table->tinyInteger('tue')->nullable()->default(0);
            $table->tinyInteger('wed')->nullable()->default(0);
            $table->tinyInteger('thu')->nullable()->default(0);
            $table->tinyInteger('fri')->nullable()->default(0);
            $table->tinyInteger('sat')->nullable()->default(0);
            $table->timestamp('created_at')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('customers');
    }
}
