<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePettyCashDetails extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        Schema::create('petty_cash_details', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('route_user_id')->nullable();
            $table->decimal('amount', 50)->nullable()->default(0.00);
            $table->timestamp('created_at')->useCurrent();
            $table->tinyInteger('status')->default(1)->comment('1-success, 0-failed');
            $table->foreign('route_user_id')->references('id')->on('users')->onDelete('cascade');  
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('petty_cash_details');
    }
}
