@extends('layout')

@section('content')
<main class="login-form">
  <div class="cotainer">
    <div class="row justify-content-center">
      <div class="col-md-8">
        <div class="card">
          <div class="card-header">Check Route</div>
          <div class="card-body">

            <form action="{{ route('check.route') }}" method="POST">
              @csrf
              <div class="form-group row">
                <select id="route" name="route_id" class="form-control">
                  <option value="" selected disabled>Select Route</option>
                  @foreach($routes as $key => $route)
                  <option value="{{$key}}"> {{$route}}</option>
                  @endforeach
                </select>
              </div>

              <div class="form-group row">
                <div class='input-group date' id='datetimepicker'>
                  <input type='text' name="route_month" class="form-control" readonly="readonly" />
                  <span class="input-group-addon">
                    <span class="glyphicon glyphicon-calendar"></span>
                  </span>
                </div>
              </div>

              

              <div class="col-md-6 offset-md-4">
                <button type="submit" class="btn btn-primary">
                  Check
                </button>
              </div>
            </form>

          </div>
        </div>
      </div>
    </div>

    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Duplicate Date') }}</div>

                <div class="card-body">
                    @if (session('success'))
                    <div class="alert alert-success" role="alert">
                        {{ session('success') }}
                    </div>
                    @endif

                    <table class="table table-bordered table-responsive-lg">
                        <tr>
                            <th>Sl No</th>
                            <th>Route Name</th>
                            <th>Date</th>
                            <th>Row</th>
                            <th>Customer Ids</th>
                            <th>Product Ids</th>
                        </tr>
                        @if (!empty($duplicate_date_list))
                        @foreach ($duplicate_date_list as $key=>$duplicate_date)
                        <tr>
                            <td>{{ $key }}</td>
                            <td>{{ $route_model->route_name }}</td>
                            <td>{{ $duplicate_date['date'] }}</td>
                            <td>{{ implode(",", $duplicate_date['ids']) }}</td>
                            <td>{{ implode(",", $duplicate_date['customer_ids']) }}</td>
                            <td>{{ implode(",", $duplicate_date['product_ids']) }}</td>
                            <td>{{ implode(",", $duplicate_date['delivered_date']) }}</td>
                        </tr>
                        @endforeach
                        @endif
                    </table>

                </div>
            </div>
        </div>
    </div>
  </div>
</main>
@endsection

@section('script')

@endsection