@extends('layout')

@section('content')
<main class="login-form">
  <div class="cotainer">
    <div class="row justify-content-center">
      <div class="col-md-8">
        <div class="card">
          <div class="card-header">Check Customer</div>
          <div class="card-body">

            <form action="{{ route('check.customer.data') }}" method="POST">
              @csrf
              <div class="form-group row">
                <input type='text' name="customer_id" class="form-control" placeholder="Customer ID" />
              </div>

              <div class="col-md-6 offset-md-4">
                <button type="submit" class="btn btn-primary">
                  Check
                </button>
              </div>
            </form>

          </div>
        </div>
      </div>
    </div>
    <br>

    <div class="row justify-content-center">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header">{{ __('Customer Details') }}</div>

          <div class="card-body">
            @if (session('success'))
            <div class="alert alert-success" role="alert">
              {{ session('success') }}
            </div>
            @endif

            <table class="table table-bordered table-responsive-lg">
              <tr>
                <th>Customer ID</th>
                <th>Customer Name</th>
                <th>Date</th>
                <th>Mobile</th>
                <th>Created On</th>
              </tr>
              @if (!empty($customer_details))
              <tr>
                <td>{{ $customer_details->id }}</td>
                <td>{{ $customer_details->customer_name }}</td>
                <td>{{ $customer_details->address }}</td>
                <td>{{ $customer_details->phone_number }}</td>
                <td>{{ $customer_details->created_at }}</td>
              </tr>
              @endif
            </table>

            <h4>Product Details</h4>
            <table class="table table-bordered table-responsive-lg">
              <tr>
                <th>Sl No</th>
                <th>Customer ID</th>
                <th>Product ID</th>
                <th>Quantity</th>
                <th>Delivery Mode</th>
                <th>Delivery Start Date</th>
                <th>Sun</th>
                <th>Mon</th>
                <th>TUe</th>
                <th>Wen</th>
                <th>Thu</th>
                <th>Fri</th>
                <th>Sat</th>
                <th>Created On</th>
              </tr>
              @if ( isset($customer_details->custproducts))
              @foreach ($customer_details->custproducts as $key=>$data)
              <tr>
                <td>{{ $key+1 }}</td>
                <td>{{ $data->customer_id }}</td>
                <td>{{ $data->product_id }}</td>
                <td>{{ $data->quantity }}</td>
                <td>{{ $data->delivery_mode }}</td>
                <td>{{ !empty($data->delivery_start_date) ? date('d-m-Y', strtotime($data->delivery_start_date)) : '-' }}</td>
                <td>{{ $data->sun }}</td>
                <td>{{ $data->mon }}</td>
                <td>{{ $data->tue }}</td>
                <td>{{ $data->wed }}</td>
                <td>{{ $data->thu }}</td>
                <td>{{ $data->fri }}</td>
                <td>{{ $data->sat }}</td>
                <td>{{ date('d-m-Y', strtotime($data->created_at)) }}</td>

              </tr>
              @endforeach
              @endif
            </table>

          </div>
        </div>
      </div>
    </div>
  </div>
</main>
@endsection

@section('script')

@endsection