<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Route Sale Consolidated Report</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <style type="text/css">
    .table-condensed>thead>tr>th, .table-condensed>tbody>tr>th, .table-condensed>tfoot>tr>th, .table-condensed>thead>tr>td, .table-condensed>tbody>tr>td, .table-condensed>tfoot>tr>td{
        padding: 5px !important;
        font-size: 10px;
        /*text-align: center;*/
        vertical-align: middle;
        border: 1px solid #212F3C !important;
        font-weight: bold !important;
    }
    .sub-titles{
      font-size: 10px;
      margin: 0px !important;
    }
    .report-head{
      color: #0277BD;
      font-size: 12px;
    }
    .main-head{
      color: #01579B;
      margin: 0px !important;
      font-weight: bold;
      font-size: 14px;
    }
    .table>tr>th{
      color: #0091EA;
      background-color: #81D4FA !important;
    }
    .table-condensed{
      margin-top: 20px;
    }
    /*@page{
        margin-top: 100px;
      }
      header{
        position: fixed;
        left: 0px;
        right: 0px;
        height: 60px;
        margin-top: -80px;
      }*/

  </style>
</head>
<body>
  <p class="main-head">Grameen Milk</p>
  <span class="report-head">Route Sale Consolidated Report</span>
  <p class="sub-titles">Date Range : {{ $start_date }} - {{ $end_date }}</p>
  <p class="sub-titles">Report Generated On : {{ $generate_time }}</p>
  
  <table class="table table-bordered table-sm table-condensed" page-break-inside: auto;>
    <thead>
      <tr style="background-color: #E1F5FE !important; font-weight: 200 !important;">
        <th>#</th>
        <th width="20%">Route</th>
        <th style="text-align: center;">Sales</th>
        <th style="text-align: center;">Collected</th>
        <th style="text-align: center;">Outstanding</th>
        <th style="text-align: center;">Prev Outstanding</th>
        <th style="text-align: center;">Total Outstanding</th>
        <th style="text-align: center;">Petty Cash</th>
        <th style="text-align: center;">Advance Amount</th>
        <th style="text-align: center;">Grand Total Outstanding</th>
      </tr>
    </thead>

      @foreach($sales_report as $key=>$data)
      <tr>
        <td>{{ $key+1 }}</td>
        <td>{{ $data->route_name }}</td>
        <td style="text-align: center;">{{ $data->total_sales }}</td>
        <td style="text-align: center;">{{ $data->total_sales - $data->outstanding_amount }}</td>
        <td style="text-align: center;">{{ $data->outstanding_amount }}</td>
        <td style="text-align: center;">{{ $data->prev_outstanding_amount }}</td>
        <td style="text-align: center;">{{ $data->outstanding_amount + $data->prev_outstanding_amount }}</td>
        <td style="text-align: center;">{{ $data->petty_cash }}</td>
        <td style="text-align: center;">{{ $data->total_advance_amount }}</td>
        <td style="text-align: center;">{{ ($data->outstanding_amount + $data->prev_outstanding_amount + $data->petty_cash) - $data->total_advance_amount }}</td>
      </tr>
      @endforeach

      <tr>
        <td></td>
        <td>Total</td>
        <td style="text-align: center;">{{ $sales_report->sum('total_sales') }}</td>
        <td style="text-align: center;">{{ $sales_report->sum('total_sales') - $sales_report->sum('outstanding_amount') }}</td>
        <td style="text-align: center;">{{ $sales_report->sum('outstanding_amount') }}</td>
        <td style="text-align: center;">{{ $sales_report->sum('prev_outstanding_amount') }}</td>
        <td style="text-align: center;">{{ $sales_report->sum('outstanding_amount') + $sales_report->sum('prev_outstanding_amount') }}</td>
        <td style="text-align: center;">{{ $sales_report->sum('petty_cash') }}</td>
        <td style="text-align: center;">{{ $sales_report->sum('total_advance_amount') }}</td>
        <td style="text-align: center;">{{ ($sales_report->sum('outstanding_amount') + $sales_report->sum('prev_outstanding_amount') + $sales_report->sum('petty_cash')) - $sales_report->sum('total_advance_amount') }}</td>
      </tr>

  </table>
</body>
</html>