@extends('layout')

@section('content')
<main class="login-form">
  <div class="cotainer">
    <div class="row justify-content-center">
      <div class="col-md-8">

       @if (session('success'))
       <div class="alert alert-success" role="alert">
        {{ session('success') }}
      </div>
      @endif

      @if (session('error'))
      <div class="alert alert-danger" role="alert">
        {{ session('error') }}
      </div>
      @endif

      <div class="card">
        <div class="card-header">Delete Delivery</div>
        <div class="card-body">

          <form action="{{ url('routes/deleteDelivery') }}" method="POST">

            <div class="form-group row">
              <select id="route" name="route_id" class="form-control">
                <option value="" selected disabled>Select Route</option>
                @foreach($routes as $key => $route)
                <option value="{{$key}}"> {{$route}}</option>
                @endforeach
              </select>
              @error('route_id')
              <span class="text-danger">{{ $message }}</span>
              @enderror
            </div>

            <div class="form-group row">
              <div class='input-group' id='datetimepicker'>
                <input type='text' name="delivery_date" class="form-control delivery_date" readonly="readonly" />
                <span class="input-group-addon">
                  <span class="glyphicon glyphicon-calendar"></span>
                </span>
              </div>
              @error('delivery_date')
              <span class="text-danger">{{ $message }}</span>
              @enderror
            </div>
            @csrf


            <div class="row">
              <button type="submit" onclick="return confirm('Are you sure?') " class="btn btn-primary">
                Delete Delivery
              </button>
            </div>
          </form>

        </div>
      </div>
    </div>
  </div>


</div>
</main>
@endsection

@section('script')

@endsection