<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Mail;
use App\Models\Customers;
use App\Models\DeliveryDetails;
use App\Http\Controllers\Auth\AuthController;
use App\Http\Controllers\SupportController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/clear-cache', function() {

    $configCache = Artisan::call('config:cache');
    $configCache = Artisan::call('config:clear');
    $clearCache = Artisan::call('cache:clear');
    // return what you want
});

Route::get('/', [AuthController::class, 'dashboard']); 
Route::get('login', [AuthController::class, 'index'])->name('login');
Route::post('post-login', [AuthController::class, 'postLogin'])->name('login.post'); 
Route::get('dashboard', [AuthController::class, 'dashboard']); 
Route::get('logout', [AuthController::class, 'logout'])->name('logout');

// Route::get('check', [AuthController::class, 'check'])->name('check');
// Route::post('check-route', [AuthController::class, 'checkRoute'])->name('check.route');

// Route::get('check-customer', [AuthController::class, 'checkCustomer'])->name('check-customer');
// Route::post('check-customer-data', [AuthController::class, 'checkCustomerData'])->name('check.customer.data');

Route::get('checkDuplicate/{date}', [SupportController::class, 'checkDuplicate']);

Route::middleware(['webauth'])->group(function () {
    //user data
    Route::get('routelist', [AuthController::class, 'routelist'])->name('routelist')->middleware('webauth');;
    Route::get('add-data/{route_id}', [AuthController::class, 'routeData'])->name('route.add');
    Route::post('submit-data', [AuthController::class, 'submitData'])->name('route.submit-data');


    Route::get('supply-index', [AuthController::class, 'supplyIndex'])->name('supply.index')->middleware('webauth');

    Route::get('supply-details/{route_id}/{route_date}', [AuthController::class, 'supplyDetails'])->name('supply.details')->middleware('webauth');

    Route::get('delete-delivery/{delivery_id}', [AuthController::class, 'deleteDelivery']);




    //support functions
    Route::get('routes/list', [SupportController::class, 'routeList']);
    Route::post('routes/check', [SupportController::class, 'routeCheck']);
    Route::get('routes/details/{route_id}/{delivery_date}/{product_id}', [SupportController::class, 'routeDetails'])->name('route.supply_details');
    Route::post('routes/submitDelivery', [SupportController::class, 'submitDelivery'])->name('route.submitDelivery');
    Route::post('routes/submitRowDelivery', [SupportController::class, 'submitRowDelivery'])->name('route.submitRowDelivery');

    Route::get('excel', [SupportController::class, 'excel']);


    Route::get('routes/deliveryRouteList', [SupportController::class, 'deliveryRouteList']);
    Route::post('routes/deleteDelivery', [SupportController::class, 'deleteDelivery']);


    //delete all delivery, payments, petty cash in a route
    Route::get('allroutelist', [SupportController::class, 'allroutelist'])->name('allroutelist')->middleware('webauth');
    Route::post('payDeleteDelivery', [SupportController::class, 'payDeleteDelivery'])->name('payDeleteDelivery');
    Route::post('payDeletePayments', [SupportController::class, 'payDeletePayments'])->name('payDeletePayments');
    Route::post('payDeleteDeliverySummary', [SupportController::class, 'payDeleteDeliverySummary'])->name('payDeleteDeliverySummary');




    //new
    Route::get('delivery/list', [SupportController::class, 'deliveryList']);
    Route::post('delivery/check', [SupportController::class, 'deliveryCheck']);
    Route::get('routes/delivery/{route_id}/{delivery_month}/{product_id}', [SupportController::class, 'routeDelivery'])->name('route.route_delivery');

    Route::get('routes/cdelivery/{route_id}/{delivered_date}/{new_date}', [SupportController::class, 'cDelivery']);

});










/*
Route::get('send-mail', function () {

    $details = [
        'title' => 'Mail from Grameen Milk',
        'body' => 'This is for testing email using smtp'
    ];

    Mail::to('devsoftware2021@gmail.com')->send(new \App\Mail\RegisterMail($details));

    dd("Email is Sent.");
});

Route::get('hello/{date}/{route}', function ($date, $route) {

    echo $date;
    echo $route;
});


Route::get('check-data/{date}/{route}', function ($date, $route) {

    $duplicateRecords = DB::table('delivery_details')->select('delivery_details.id', 'delivery_details.customer_id')
    ->join('customers','customers.id', '=','delivery_details.customer_id' )
    ->selectRaw('count(delivery_details.customer_id) as occurences')
            //->from('delivery_details')
    ->where('customers.is_delete', 0)
    ->where('customers.route_id', '=' ,$route)
    ->whereDate('customers.created_at', '<=' ,$date)
    ->whereDate('delivery_details.created_at', '=', $date)
    ->groupBy('customer_id', 'product_id', 'quantity')
    ->having('occurences', '>', 1)
    ->get();

    $table_ids = $duplicateRecords->pluck('id')->all();

    print("<pre>"); print_r($table_ids); print("</pre>"); exit;

});


Route::get('delete-data/{date}/{route}', function ($date, $route) {

    $duplicateRecords = DB::table('delivery_details')->select('delivery_details.id', 'delivery_details.customer_id')
    ->join('customers','customers.id', '=','delivery_details.customer_id' )
    ->selectRaw('count(delivery_details.customer_id) as occurences')
            //->from('delivery_details')
    ->where('customers.is_delete', 0)
    ->where('customers.route_id', '=' ,$route)
    ->whereDate('customers.created_at', '<=' ,$date)
    ->whereDate('delivery_details.created_at', '=', $date)
    ->groupBy('customer_id')
    ->having('occurences', '>', 1)
    ->get();


    $table_ids = $duplicateRecords->pluck('id')->all();

    DB::table("delivery_details")
    ->join('customers','customers.id', '=','delivery_details.customer_id' )

    ->where('customers.is_delete', 0)
    ->where('delivery_details.payment_status', 0)
    ->where('customers.route_id', '=' ,$route)
    ->whereDate('customers.created_at', '<=' ,$date)
    ->whereDate('delivery_details.created_at', '=', $date)
    ->whereNotIn('delivery_details.id', $table_ids)
    ->delete();


});








Route::get('test12', function () {

    $delivery_query = Customers::query();
    $delivery_query->where('customers.is_delete', 0);
    $delivery_query->where('customers.route_id', '=' ,41);
    $delivery_query->whereDate('customers.created_at', '<=' ,'2021-05-10');
    $delivery_query->join('delivery_details', function($join){
        $join->on('delivery_details.customer_id', '=', 'customers.id');
        $join->whereDate('delivery_details.created_at', '=', '2021-05-10');
    });
    $date_delivery = $delivery_query->get();

    $duplicateRecords = DB::table('delivery_details')->select('delivery_details.id', 'delivery_details.customer_id')
    ->join('customers','customers.id', '=','delivery_details.customer_id' )
    ->selectRaw('count(delivery_details.customer_id) as occurences')
            //->from('delivery_details')
    ->where('customers.is_delete', 0)
    ->where('customers.route_id', '=' ,41)
    ->whereDate('customers.created_at', '<=' ,'2021-05-10')
    ->whereDate('delivery_details.created_at', '=', '2021-05-10')
    ->groupBy('customer_id')
    ->having('occurences', '>', 1)
    ->get();

    $customer_ids = $duplicateRecords->pluck('id')->all();

    //print("<pre>"); print_r($customer_ids); print("</pre>"); exit;

    DB::table("delivery_details")
    ->join('customers','customers.id', '=','delivery_details.customer_id' )

    ->where('customers.is_delete', 0)
    ->where('customers.route_id', '=' ,41)
    ->whereDate('customers.created_at', '<=' ,'2021-05-10')
    ->whereDate('delivery_details.created_at', '=', '2021-05-10')
    ->whereNotIn('delivery_details.id', $customer_ids)
    //->havingRaw('count(id) > ?', [1])
    ->delete();

    //print("<pre>"); print_r($customer_ids); print("</pre>"); exit;
    print("<pre>"); print_r($duplicateRecords); print("</pre>"); exit;


    //print("<pre>"); print_r($delivery_query->toSql()); print("</pre>"); exit;
});


Route::get('data333', function () {

   $summary_query = DeliveryDetails::join('customers', 'customers.id', '=', 'delivery_details.customer_id')
   ->selectRaw('count(delivery_details.customer_id) as occurences')
   ->having('occurences', '>', 1)
   ->join('products', 'products.id', '=', 'delivery_details.product_id')
   ->where('customers.is_delete', 0)
   ->where('customers.route_id', '=' ,41)
   ->whereDate('delivery_details.created_at', '=' ,'2021-05-10')
   ->toSql();

                //print("<pre>"); print_r($summary_query->toSql()); print("</pre>"); exit;
   print("<pre>"); print_r($summary_query); print("</pre>"); exit;
});
*/

Route::get('routeSalesConsolidateReportPdfs', 'App\Http\Controllers\ReportsController@routeSalesConsolidateReportPdf');