<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Route Sale Consolidated Report</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <style type="text/css">
    .table-condensed>thead>tr>th, .table-condensed>tbody>tr>th, .table-condensed>tfoot>tr>th, .table-condensed>thead>tr>td, .table-condensed>tbody>tr>td, .table-condensed>tfoot>tr>td{
        padding: 5px !important;
        font-size: 10px;
        /*text-align: center;*/
        vertical-align: middle;
        border: 1px solid #212F3C !important;
        font-weight: bold !important;
    }
    .sub-titles{
      font-size: 10px;
      margin: 0px !important;
    }
    .report-head{
      color: #0277BD;
      font-size: 12px;
    }
    .main-head{
      color: #01579B;
      margin: 0px !important;
      font-weight: bold;
      font-size: 14px;
    }
    .table>tr>th{
      color: #0091EA;
      background-color: #81D4FA !important;
    }
    .table-condensed{
      margin-top: 20px;
    }
    /*@page{
        margin-top: 100px;
      }
      header{
        position: fixed;
        left: 0px;
        right: 0px;
        height: 60px;
        margin-top: -80px;
      }*/

  </style>
</head>
<body>
  <p class="main-head">Grameen Milk</p>
  <span class="report-head">Items Consolidated Report</span>
  <p class="sub-titles">Date Range : <?php echo e($start_date); ?> - <?php echo e($end_date); ?></p>
  <p class="sub-titles">Report Generated On : <?php echo e($generate_time); ?></p>

  <table class="table table-bordered table-sm table-condensed" page-break-inside: auto;>
    <thead>
      <tr style="background-color: #E1F5FE !important; font-weight: 200 !important;">
        <th>#</th>
        <th>Product</th>
        <th style="text-align: center;">Quantity</th>
        <th style="text-align: center;">Sale Amount</th>
      </tr>
    </thead>

      <?php $__currentLoopData = $item_sale_report; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
      <tr>
        <td><?php echo e($key+1); ?></td>
        <td><?php echo e($data->product_name); ?></td>
        <td style="text-align: center;"><?php echo e($data->sales_quantity); ?></td>
        <td style="text-align: center;"><?php echo e($data->sales_amount); ?></td>
      </tr>
      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      <tr>
        <td></td>
        <td>Total</td>
        <td style="text-align: center;"><?php echo e($item_sale_report->sum('sales_quantity')); ?></td>
        <td style="text-align: center;"><?php echo e($item_sale_report->sum('sales_amount')); ?></td>
      </tr>
  </table>
</body>
</html><?php /**PATH /home/pattalam/public_html/resources/views/reports/item_consolidated_pdf.blade.php ENDPATH**/ ?>